Loading...
Searching...
No Matches
Magick::PathQuadraticCurvetoAbs Class Reference
Inheritance diagram for Magick::PathQuadraticCurvetoAbs:

## Public Member Functions

| PathQuadraticCurvetoAbs (const Magick::PathQuadraticCurvetoArgs &args_)
| PathQuadraticCurvetoAbs (const PathQuadraticCurvetoArgsList &args_)
| PathQuadraticCurvetoAbs (const PathQuadraticCurvetoAbs &original_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const

## Private Attributes

PathQuadraticCurvetoArgsList | _args

## Detailed Description

Definition at line 2823 of file Drawable.h.

## Constructor & Destructor Documentation

## PathQuadraticCurvetoAbs() [1/3]

Magick::PathQuadraticCurvetoAbs::PathQuadraticCurvetoAbs | ( | const Magick::PathQuadraticCurvetoArgs & | args_ | ) |

Definition at line 2187 of file Drawable.cpp.

: _args(1,args_)
{
}

## PathQuadraticCurvetoAbs() [2/3]

Magick::PathQuadraticCurvetoAbs::PathQuadraticCurvetoAbs | ( | const PathQuadraticCurvetoArgsList & | args_ | ) |

Definition at line 2192 of file Drawable.cpp.

: _args(args_)
{
}

## PathQuadraticCurvetoAbs() [3/3]

Magick::PathQuadraticCurvetoAbs::PathQuadraticCurvetoAbs | ( | const PathQuadraticCurvetoAbs & | original_ | ) |

Definition at line 2197 of file Drawable.cpp.

: VPathBase (original_),
_args(original_._args)
{
}

## ~PathQuadraticCurvetoAbs()

Magick::PathQuadraticCurvetoAbs::~PathQuadraticCurvetoAbs | ( | void |  | ) |

Definition at line 2203 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathQuadraticCurvetoAbs::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2216 of file Drawable.cpp.

{
return new PathQuadraticCurvetoAbs(*this);
}

## operator()()

void Magick::PathQuadraticCurvetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2206 of file Drawable.cpp.

{
for( PathQuadraticCurvetoArgsList::const_iterator p = _args.begin();
p != _args.end(); p++ )
{
DrawPathCurveToQuadraticBezierAbsolute( context_, p->x1(), p->y1(),
p->x(), p->y() );
}
}

## Field Documentation

## _args

PathQuadraticCurvetoArgsList Magick::PathQuadraticCurvetoAbs::_args

private

Definition at line 2845 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp